$primary-color: #ffd400;
$text-color: #464749;
$sub-text-color: #747373;
a {
  color: $text-color;
}
a:hover {
  color: $primary-color;
}
.navbar {
  background-color: $primary-color;
}
.navbar-expand-lg li.nav-item.active {
  background: #464749;
  border-radius: 20px;
  & a.nav-link {
    padding-left: 25px;
    padding-right: 25px;
    color: $primary-color !important;
  }
}
.navbar.navbar-dark .navbar-nav .nav-item .nav-link,
.txt-normal {
  color: $text-color;
}
footer .txt-normal {
  color: $text-color;
}
.navbar.scrolling-navbar {
  padding-top: 15px;
  padding-bottom: 15px;
}
.navbar-expand-lg .navbar-nav .nav-link {
  padding-right: 0.8rem;
  padding-left: 0.8rem;
}
img.img-banner {
  margin-top: 70px;
}

.has-search .form-control {
  padding-left: 2.375rem;
  border-radius: 20px;
  &:focus {
    border-color: $primary-color;
    box-shadow: 0 0 0 0.2rem $primary-color;
  }
}

.has-search .form-control-feedback {
  position: absolute;
  z-index: 2;
  display: block;
  width: 2.375rem;
  height: 2.375rem;
  line-height: 2.375rem;
  text-align: center;
  pointer-events: none;
  color: #aaa;
}
.box-yellow {
  padding: 30px 0 30px 0;
  background-color: $primary-color;
  & p {
    color: $text-color;
  }
}
.box-card-category {
  padding-left: 20px;
  padding-right: 20px;
  background-color: $primary-color;
  width: max-content;
  border-radius: 20px;
}
.card-title.name,
.card-text {
  text-align: left;
  max-height: 55px;
  line-height: 1.3;
  display: -webkit-box !important;
  -webkit-line-clamp: 2;
  -moz-line-clamp: 2;
  -ms-line-clamp: 2;
  -o-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
  -ms-box-orient: vertical;
  -o-box-orient: vertical;
  box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
}
.card-text {
  line-height: 1.5;
  -webkit-line-clamp: 3;
  -moz-line-clamp: 3;
  -ms-line-clamp: 3;
  -o-line-clamp: 3;
  line-clamp: 3;
  margin-bottom: 0px;
  max-height: 60px;
  min-height: 60px;
}
.p-date,
.p-text {
  color: $sub-text-color;
}
.p-date {
  margin-top: 1rem;
  margin-bottom: 0;
}
.p-text {
  font-size: 12px;
}
.card-img-top {
  border-top-left-radius: 0px;
  border-top-right-radius: 0px;
}
.card {
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  color: $text-color;
  .card-contact & {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    background-color: #e0e1e3;
  }
}

.title {
  font-size: 20px;
}
//footer
.page-footer {
  background-color: $primary-color;
}

.mt-5-not-banner {
  margin-top: 6rem !important;
}
.form-control,
.btn.mo {
  border-radius: 20px;
}
.btn.btn-primary.mo {
  background-color: $primary-color !important;
}

//ajax-load
.ajax-load {
  padding: 10px 0px;
  width: 100%;
}
@-webkit-keyframes placeHolderShimmer {
  0% {
    background-position: -468px 0;
  }
  100% {
    background-position: 468px 0;
  }
}
@keyframes placeHolderShimmer {
  0% {
    background-position: -468px 0;
  }
  100% {
    background-position: 468px 0;
  }
}
.content-placeholder {
  display: inline-block;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-name: placeHolderShimmer;
  animation-name: placeHolderShimmer;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  background: #f6f7f8;
  background: -webkit-gradient(
    linear,
    left top,
    right top,
    color-stop(8%, #eeeeee),
    color-stop(18%, #dddddd),
    color-stop(33%, #eeeeee)
  );
  background: -webkit-linear-gradient(
    left,
    #eeeeee 8%,
    #dddddd 18%,
    #eeeeee 33%
  );
  background: linear-gradient(to right, #eeeeee 8%, #dddddd 18%, #eeeeee 33%);
  -webkit-background-size: 800px 104px;
  background-size: 800px 104px;
  height: inherit;
  position: relative;
}

.post_data {
  padding: 24px;
  border: 1px solid #f9f9f9;
  border-radius: 5px;
  margin-bottom: 24px;
  box-shadow: 10px 10px 5px #eeeeee;
}
footer.page-footer a {
  color: $text-color;
}

//End ajax-load
//แชร์
div.sharethis-inline-share-buttons {
  margin-left: 60px;
  margin-top: -30px;
}

// Extra large devices (large desktops, 1200px and up)
@media (min-width: 1200px) {
  img.img-banner.pc {
    display: block;
  }
  img.img-banner.mobile {
    display: none;
  }
}

@media (max-width: 1024px) {
  img.img-banner {
    margin-top: 33px;
  }
}

// Large devices (desktops, 992px and up)
@media (max-width: 992px) {
  img.img-banner.pc {
    display: none;
  }
  img.img-banner.mobile {
    display: block;
    width: 100%;
  }
}
// Medium devices (tablets, 768px and up)
@media (max-width: 768px) {
  img {
    width: 100%;
  }
  img.img-banner.pc {
    display: none;
  }
  img.img-banner.mobile {
    display: block;
  }
  img.img-banner {
    margin-top: 70px;
  }
  .f-socail {
    width: unset;
  }
}

// Small devices (landscape phones, 576px and up)
@media (max-width: 576px) {
  img.img-banner.pc {
    display: none;
  }
  img.img-banner.mobile {
    display: block;
  }
  img {
    width: unset;
  }
  .category {
    display: none;
  }
  ul.navbar-nav.ml-auto {
    margin-top: 20px;
  }
}

// Small devices (landscape phones, 375 and up)
@media (max-width: 375px) {
  img.img-banner.pc {
    display: none;
  }
  img.img-banner.mobile {
    display: block;
    margin-top: 70px;
  }
}
